CreateWorkstreamAPI mirrors erdo_create_workstream.
curl --request POST \
--url https://api.erdo.ai/v1/workstreams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"phases": [
{
"skill_slug": "<string>",
"slug": "<string>",
"title": "<string>"
}
],
"project_slug": "<string>",
"slug": "<string>",
"title": "<string>"
}
'import requests
url = "https://api.erdo.ai/v1/workstreams"
payload = {
"description": "<string>",
"phases": [
{
"skill_slug": "<string>",
"slug": "<string>",
"title": "<string>"
}
],
"project_slug": "<string>",
"slug": "<string>",
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
phases: [{skill_slug: '<string>', slug: '<string>', title: '<string>'}],
project_slug: '<string>',
slug: '<string>',
title: '<string>'
})
};
fetch('https://api.erdo.ai/v1/workstreams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_type": "<string>",
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workstream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"following": true,
"phases": [
{
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill_slug": "<string>",
"slug": "<string>",
"sort_order": -1,
"started_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"workstream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"resources": [
{
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phase_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationship_type": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"title": "<string>",
"workstream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"workstream": {
"autonomy_mode": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"escalation_budget_per_day": -1,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"primary_thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"source_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spent_millicents": 123,
"started_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"title": "<string>",
"token_budget_millicents": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
CreateWorkstreamAPI mirrors erdo_create_workstream.
POST
/
v1
/
workstreams
CreateWorkstreamAPI mirrors erdo_create_workstream.
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Body
application/json
Response
Success response
(newest first), embedded so cards/agents see activity without a second call.
Show child attributes
Show child attributes
detail page can render its follow toggle without a second call (Wave E).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Operational state machine for multi-step work (campaign launches, reports, monitors).
Show child attributes
Show child attributes
ListWorkstreamsAPI mirrors erdo_list_workstreams.
GetWorkstreamAPI mirrors erdo_get_workstream (slug or uuid).
⌘I

